Subject: bug#50061: 28.0.50; Hang caused by savehist-save when saving kill ring with large amount of data from nxml-mode buffer

From: Eli Zaretskii <[email-masked]>
Date: Sun, 15 Aug 2021 17:07:50 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: Matt Beshara <[email-masked]>,  Eli Zaretskii <[email-masked]>,
>   [email-masked]
> Date: Sun, 15 Aug 2021 15:45:13 +0200
> 
> Andreas Schwab <[email-masked]> writes:
> 
> > It is called filter-buffer-substring-function.
> 
> Ah, thanks.
> 
> I've now pushed a fix using this mechanism, and as far as I can tell, it
> seems to work fine (and doesn't seem to lead to any regressions in
> nxml-mode).

I see the filter you installed removes the fontified property as well?
Why is that? I don't think we do that anywhere else.